Index: code/branches/presentation3/src/orxonox/ChatHistory.cc
===================================================================
--- code/branches/presentation3/src/orxonox/ChatHistory.cc	(revision 7125)
+++ code/branches/presentation3/src/orxonox/ChatHistory.cc	(revision 7127)
@@ -39,6 +39,6 @@
   /* constructor */
 #ifndef CHATTEST
-  //ChatHistory::ChatHistory( BaseObject* creator ) : BaseObject(creator) 
-  ChatHistory::ChatHistory() 
+  //ChatHistory::ChatHistory( BaseObject* creator ) : BaseObject(creator)
+  ChatHistory::ChatHistory()
 #else
   ChatHistory::ChatHistory()
@@ -68,5 +68,5 @@
   {
     chat_hist_closelog();
-    
+
     /* clear list */
     this->hist_buffer.clear();
@@ -74,5 +74,5 @@
 
   /* react to incoming chat */
-  void ChatHistory::incomingChat(const std::string& message, 
+  void ChatHistory::incomingChat(const std::string& message,
     unsigned int senderID)
   {
@@ -104,5 +104,5 @@
     /* add the line to the log */
     this->chat_hist_logline( text );
-  } 
+  }
 
   /* Synchronize logfile onto the hard drive */ /* MARK MARK */
@@ -128,5 +128,5 @@
   /* log a line to a logfile */
   int ChatHistory::chat_hist_logline( const std::string& toadd )
-  { 
+  {
     /* output the line to the file if logging is enabled */
     if( this->hist_log_enabled )
@@ -138,5 +138,5 @@
   int ChatHistory::chat_hist_openlog()
   {
-    /* TODO: find out the name of the file to log to via settings 
+    /* TODO: find out the name of the file to log to via settings
      *       and set the this->hist_logfile_path variable to it
      */
@@ -167,5 +167,5 @@
     /* see if we've actually got a logfile */
     if( this->hist_logfile )
-    { 
+    {
       /* yes, we've got one, add a line that shows we're closing it */
       this->chat_hist_logline( "--- Logfile closed ---" );
Index: code/branches/presentation3/src/orxonox/ChatHistory.h
===================================================================
--- code/branches/presentation3/src/orxonox/ChatHistory.h	(revision 7125)
+++ code/branches/presentation3/src/orxonox/ChatHistory.h	(revision 7127)
@@ -34,5 +34,5 @@
 
 /* define this if you're unit testing */
-//#define CHATTEST 
+//#define CHATTEST
 
 #ifndef CHATTEST
@@ -62,5 +62,5 @@
 
 #else
-  class ChatHistory 
+  class ChatHistory
 #endif
   {
@@ -75,15 +75,15 @@
       virtual ~ChatHistory();
 
-  
+
     //protected:
-      /** what to do with incoming chat 
-       * 
-       * \param message The incoming message 
+      /** what to do with incoming chat
+       *
+       * \param message The incoming message
        * \param senderID Identification number of the sender
        */
-      virtual void incomingChat(const std::string& message, 
+      virtual void incomingChat(const std::string& message,
         unsigned int senderID);
-      
-      /** Synchronize logfile onto the hard drive 
+
+      /** Synchronize logfile onto the hard drive
        *
        * \return 0 for success, other for error
@@ -93,5 +93,5 @@
       /** debug-print: output the whole history to stdout */
       void debug_printhist();
-      
+
     private:
       /* FIELDS */
Index: code/branches/presentation3/src/orxonox/ChatInputHandler.cc
===================================================================
--- code/branches/presentation3/src/orxonox/ChatInputHandler.cc	(revision 7125)
+++ code/branches/presentation3/src/orxonox/ChatInputHandler.cc	(revision 7127)
@@ -40,5 +40,5 @@
 #include <string>
 
-namespace orxonox 
+namespace orxonox
 {
   /* singleton */
@@ -48,5 +48,5 @@
   SetConsoleCommandAlias( ChatInputHandler, activate_static, "startchat",
     true );
-  SetConsoleCommandAlias( ChatInputHandler, activate_small_static, 
+  SetConsoleCommandAlias( ChatInputHandler, activate_small_static,
     "startchat_small", true );
 
@@ -111,5 +111,5 @@
 
     /* cast it to a listbox */
-    lb_history = dynamic_cast<CEGUI::Listbox*>(history); 
+    lb_history = dynamic_cast<CEGUI::Listbox*>(history);
 
     /* assert wee */
@@ -140,5 +140,5 @@
     }
 
-    // blues 
+    // blues
     red = 0.5, green = 0.5, blue = 1;
     for( ; i < NumberOfColors; ++i )
@@ -171,5 +171,5 @@
   }
 
-  void ChatInputHandler::deactivate() 
+  void ChatInputHandler::deactivate()
   {
     /* stop listening */
@@ -202,5 +202,5 @@
 
   /* handle incoming chat */
-  void ChatInputHandler::incomingChat(const std::string& message, 
+  void ChatInputHandler::incomingChat(const std::string& message,
     unsigned int senderID)
   {
@@ -210,5 +210,5 @@
     /* setup player name info */
     if (senderID != CLIENTID_UNKNOWN)
-    { 
+    {
        PlayerInfo* player = PlayerManager::getInstance().getClient(senderID);
        if (player)
@@ -227,20 +227,20 @@
     /* now add */
     this->lb_history->addItem( dynamic_cast<CEGUI::ListboxItem*>(toadd) );
-    this->lb_history->ensureItemIsVisible( 
+    this->lb_history->ensureItemIsVisible(
       dynamic_cast<CEGUI::ListboxItem*>(toadd) );
 
     /* make sure the history handles it */
     this->lb_history->handleUpdatedItemData();
-  } 
+  }
 
 
   /* sub for inputchanged */
-  void ChatInputHandler::sub_adjust_dispoffset( int maxlen, 
-    int cursorpos, 
+  void ChatInputHandler::sub_adjust_dispoffset( int maxlen,
+    int cursorpos,
     int inplen )
   {
     /* already start offsetting 5 characters before end */
     if( cursorpos+5 > maxlen )
-    { 
+    {
       /* always stay 5 characters ahead of end, looks better */
       ((disp_offset = cursorpos-maxlen+5) >= 0) ? 1 : disp_offset = 0;
@@ -249,5 +249,5 @@
       (disp_offset > cursorpos ) ? disp_offset = 0 : 1;
     }
-     
+
     /* make sure we don't die at substr */
     if( inplen <= disp_offset ) disp_offset = 0;
@@ -260,5 +260,5 @@
     std::string raw = this->inpbuf->get();
     int cursorpos = this->inpbuf->getCursorPosition();
-    
+
     /* get string before cursor */
     std::string left = raw.substr( 0, cursorpos );
@@ -268,12 +268,12 @@
     if( raw.length() >= left.length()+1 )
       right = raw.substr( cursorpos );
-      
+
     /* set the text */
     std::string assembled = "$ " + left + "|" + right;
 
     if( this->fullchat )
-    { 
+    {
       /* adjust curser position - magic number 5 for font width */
-      sub_adjust_dispoffset( (this->input->getUnclippedInnerRect().getWidth()/6), 
+      sub_adjust_dispoffset( (this->input->getUnclippedInnerRect().getWidth()/6),
         cursorpos, assembled.length() );
       this->input->setProperty( "Text", assembled.substr( disp_offset ) );
@@ -282,5 +282,5 @@
     {
       /* adjust curser position - magic number 5 for font width */
-      sub_adjust_dispoffset( (this->inputonly->getUnclippedInnerRect().getWidth()/6), 
+      sub_adjust_dispoffset( (this->inputonly->getUnclippedInnerRect().getWidth()/6),
         cursorpos, assembled.length() );
       this->inputonly->setProperty( "Text", assembled.substr( disp_offset) );
@@ -323,8 +323,8 @@
   void ChatInputHandler::cursorRight()
   { this->inpbuf->increaseCursor(); }
-  
+
   void ChatInputHandler::cursorLeft()
   { this->inpbuf->decreaseCursor(); }
-  
+
   void ChatInputHandler::cursorEnd()
   { this->inpbuf->setCursorToEnd(); }
Index: code/branches/presentation3/src/orxonox/ChatInputHandler.h
===================================================================
--- code/branches/presentation3/src/orxonox/ChatInputHandler.h	(revision 7125)
+++ code/branches/presentation3/src/orxonox/ChatInputHandler.h	(revision 7127)
@@ -62,5 +62,5 @@
     private:
       /** Input buffer, to be used to catch input from the
-       * keyboard 
+       * keyboard
        */
       InputBuffer *inpbuf;
@@ -126,11 +126,11 @@
        * history window of the full chat window)
        */
-      void incomingChat( const std::string& message, 
+      void incomingChat( const std::string& message,
         unsigned int senderID );
 
       /** \param full true means show full chat window with history,
             false means show only an input line
-       * 
-       * Show the chat window and redirect the game's keyboard input 
+       *
+       * Show the chat window and redirect the game's keyboard input
        * into it.
        */
Index: code/branches/presentation3/src/orxonox/Level.cc
===================================================================
--- code/branches/presentation3/src/orxonox/Level.cc	(revision 7125)
+++ code/branches/presentation3/src/orxonox/Level.cc	(revision 7127)
@@ -49,5 +49,5 @@
         RegisterObject(Level);
 
-        
+
         this->registerVariables();
         this->xmlfilename_ = this->getFilename();
@@ -73,5 +73,5 @@
         XMLPortParam(Level, "description", setDescription, getDescription, xmlelement, mode);
         XMLPortParam(Level, "gametype", setGametypeString, getGametypeString, xmlelement, mode).defaultValues("Gametype");
-            
+
         XMLPortObject(Level, MeshLodInformation, "lodinformation", addLodInfo, getLodInfo, xmlelement, mode);
         XMLPortObjectExtended(Level, BaseObject, "", addObject, getObject, xmlelement, mode, true, false);
@@ -99,5 +99,5 @@
         Loader::open(this->xmlfile_);
     }
-    
+
     void Level::networkCallbackTemplatesChanged()
     {
@@ -151,5 +151,5 @@
         return 0;
     }
-    
+
     void Level::addLodInfo(MeshLodInformation* lodInformation)
     {
@@ -165,5 +165,5 @@
         if(this->lodInformation_.find(meshName)!=this->lodInformation_.end())
             return this->lodInformation_.find(meshName)->second;
-        
+
         return 0;
     }
Index: code/branches/presentation3/src/orxonox/MoodManager.cc
===================================================================
--- code/branches/presentation3/src/orxonox/MoodManager.cc	(revision 7125)
+++ code/branches/presentation3/src/orxonox/MoodManager.cc	(revision 7127)
@@ -45,5 +45,5 @@
         RegisterRootObject(MoodManager);
         this->setConfigValues();
-        
+
         // Checking for the existence of the folder for the default mood
         /* Note: Currently Resource::exists(path) will always return false when the path field points to a folder.
Index: code/branches/presentation3/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- code/branches/presentation3/src/orxonox/OrxonoxPrereqs.h	(revision 7125)
+++ code/branches/presentation3/src/orxonox/OrxonoxPrereqs.h	(revision 7127)
@@ -137,5 +137,5 @@
     class OrxonoxOverlay;
     class OverlayGroup;
-    
+
     // pickup
     class PickupIdentifier;
Index: code/branches/presentation3/src/orxonox/Radar.cc
===================================================================
--- code/branches/presentation3/src/orxonox/Radar.cc	(revision 7125)
+++ code/branches/presentation3/src/orxonox/Radar.cc	(revision 7127)
@@ -87,5 +87,5 @@
         }
     }
-    
+
     void Radar::removeRadarObject(RadarViewable* rv)
     {
@@ -203,5 +203,5 @@
         }
     }
-    
+
     void Radar::radarObjectChanged(RadarViewable* rv)
     {
Index: code/branches/presentation3/src/orxonox/controllers/AIController.cc
===================================================================
--- code/branches/presentation3/src/orxonox/controllers/AIController.cc	(revision 7125)
+++ code/branches/presentation3/src/orxonox/controllers/AIController.cc	(revision 7127)
@@ -112,5 +112,5 @@
             random = rnd(maxrand);
             if (random < 25 && (this->bShooting_))
-                this->bShooting_ = false; 
+                this->bShooting_ = false;
 
         }
@@ -127,5 +127,5 @@
             this->commandSlaves();
 
-            if  (this->specificMasterAction_ != NONE) 
+            if  (this->specificMasterAction_ != NONE)
                     this->specificMasterActionHold();
 
@@ -149,5 +149,5 @@
                  // lose master status (only if less than 4 slaves in formation)
                 random = rnd(maxrand);
-                if(random < 15/(this->slaves_.size()+1) && this->slaves_.size() < 4 ) 
+                if(random < 15/(this->slaves_.size()+1) && this->slaves_.size() < 4 )
                    this->loseMasterState();
 
Index: code/branches/presentation3/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- code/branches/presentation3/src/orxonox/controllers/ArtificialController.cc	(revision 7125)
+++ code/branches/presentation3/src/orxonox/controllers/ArtificialController.cc	(revision 7127)
@@ -91,5 +91,5 @@
         {
             this->removeFromFormation();
-            
+
             for (ObjectList<ArtificialController>::iterator it = ObjectList<ArtificialController>::begin(); it; ++it)
             {
@@ -101,5 +101,5 @@
                         it->myMaster_ = 0;
                     }
-                    
+
                     while (true)
                     {
@@ -139,10 +139,10 @@
         {
             Controller* controller = 0;
-            
+
             if (it->getController())
                 controller = it->getController();
             else if (it->getXMLController())
                 controller = it->getXMLController();
-                
+
             if (!controller)
                 continue;
@@ -162,5 +162,5 @@
 
     /**
-        @brief Get all masters to do a "specific master action" 
+        @brief Get all masters to do a "specific master action"
         @param action which action to perform (integer, so it can be called with a console command (tmp solution))
     */
@@ -170,10 +170,10 @@
         {
             Controller* controller = 0;
-            
+
             if (it->getController())
                 controller = it->getController();
             else if (it->getXMLController())
                 controller = it->getXMLController();
-                
+
             if (!controller)
                 continue;
@@ -204,10 +204,10 @@
         {
             Controller* controller = 0;
-            
+
             if (it->getController())
                 controller = it->getController();
             else if (it->getXMLController())
                 controller = it->getXMLController();
-                
+
             if (!controller)
                 continue;
@@ -252,10 +252,10 @@
         {
             Controller* controller = 0;
-            
+
             if (it->getController())
                 controller = it->getController();
             else if (it->getXMLController())
                 controller = it->getXMLController();
-                
+
             if (!controller)
                 continue;
@@ -280,10 +280,10 @@
         {
             Controller* controller = 0;
-            
+
             if (it->getController())
                 controller = it->getController();
             else if (it->getXMLController())
                 controller = it->getXMLController();
-                
+
             if (!controller)
                 continue;
@@ -303,5 +303,5 @@
     void ArtificialController::changedControllableEntity()
     {
-        if (!this->getControllableEntity()) 
+        if (!this->getControllableEntity())
             this->removeFromFormation();
     }
@@ -400,5 +400,5 @@
                 this->myMaster_->slaves_.erase(it);
         }
-        
+
         this->myMaster_ = 0;
         this->state_ = FREE;
@@ -423,10 +423,10 @@
             //has it an ArtificialController?
             Controller* controller = 0;
-            
+
             if (it->getController())
                 controller = it->getController();
             else if (it->getXMLController())
                 controller = it->getXMLController();
-                
+
             if (!controller)
                 continue;
@@ -476,5 +476,5 @@
         @brief Commands the slaves of a master into a formation. Sufficiently fast not to be called within tick. Initiated by a master.
     */
-    void ArtificialController::commandSlaves() 
+    void ArtificialController::commandSlaves()
     {
         if(this->state_ != MASTER) return;
@@ -489,5 +489,5 @@
             this->slaves_.front()->setTargetPosition(dest);
         }
-        else 
+        else
         {
             dest += 1.0f*orient*WorldEntity::BACK;
@@ -592,5 +592,5 @@
     bool ArtificialController::forcedFree()
     {
-        if(this->freedomCount_ > 0) 
+        if(this->freedomCount_ > 0)
         {
             this->freedomCount_--;
@@ -606,5 +606,5 @@
         if(this->state_ != MASTER) return;
 
-        if (specificMasterActionHoldCount_ == 0) 
+        if (specificMasterActionHoldCount_ == 0)
          {
             this->specificMasterAction_ = NONE;
@@ -677,5 +677,5 @@
         if (!always)
             this->specificMasterActionHoldCount_ = secondsToFollow;
-        else 
+        else
             this->specificMasterActionHoldCount_ = INT_MAX; //for now...
 
@@ -698,5 +698,5 @@
 
             currentHumanController = orxonox_cast<NewHumanController*>(it->getController());
-            if(currentHumanController) 
+            if(currentHumanController)
             {
                 if (!ArtificialController::sameTeam(this->getControllableEntity(), *it, this->getGametype())) continue;
Index: code/branches/presentation3/src/orxonox/controllers/ArtificialController.h
===================================================================
--- code/branches/presentation3/src/orxonox/controllers/ArtificialController.h	(revision 7125)
+++ code/branches/presentation3/src/orxonox/controllers/ArtificialController.h	(revision 7127)
@@ -64,5 +64,5 @@
             inline int getFormationSize() const
                 { return this->maxFormationSize_; }
-                
+
             inline void setPassive(bool passive)
                 { this->passive_ = passive; }
Index: code/branches/presentation3/src/orxonox/controllers/DroneController.h
===================================================================
--- code/branches/presentation3/src/orxonox/controllers/DroneController.h	(revision 7125)
+++ code/branches/presentation3/src/orxonox/controllers/DroneController.h	(revision 7127)
@@ -52,5 +52,5 @@
             DroneController(BaseObject* creator);
             virtual ~DroneController();
-            
+
             virtual void tick(float dt); //!< The controlling happens here. This method defines what the controller has to do each tick.
 
Index: code/branches/presentation3/src/orxonox/gametypes/Gametype.cc
===================================================================
--- code/branches/presentation3/src/orxonox/gametypes/Gametype.cc	(revision 7125)
+++ code/branches/presentation3/src/orxonox/gametypes/Gametype.cc	(revision 7127)
@@ -330,5 +330,5 @@
                 if (index == randomspawn)
                     return (*it);
-                
+
                 ++index;
             }
Index: code/branches/presentation3/src/orxonox/graphics/MeshLodInformation.cc
===================================================================
--- code/branches/presentation3/src/orxonox/graphics/MeshLodInformation.cc	(revision 7125)
+++ code/branches/presentation3/src/orxonox/graphics/MeshLodInformation.cc	(revision 7127)
@@ -40,5 +40,5 @@
     CreateFactory(MeshLodInformation);
 
-    MeshLodInformation::MeshLodInformation(BaseObject* creator) 
+    MeshLodInformation::MeshLodInformation(BaseObject* creator)
     : BaseObject(creator), lodLevel_(5), bEnabled_(true), numLevels_(10), reductionRate_(0.15)
     {
@@ -59,10 +59,10 @@
         XMLPortParam(MeshLodInformation, "reductionRate", setReductionRate, getReductionRate, xmlelement, mode);
     }
-    
+
     std::string MeshLodInformation::getMeshName()
     {
         return MeshLodInformation::getMeshSource();
     }
-    
+
     void MeshLodInformation::setLodLevel(float lodLevel)
     {
@@ -73,5 +73,5 @@
     {
         return lodLevel_;
-    } 
+    }
     void MeshLodInformation::setMeshSource(std::string meshSource)
     {
@@ -82,4 +82,4 @@
         return meshSource_;
     }
- 
+
 }
Index: code/branches/presentation3/src/orxonox/graphics/MeshLodInformation.h
===================================================================
--- code/branches/presentation3/src/orxonox/graphics/MeshLodInformation.h	(revision 7125)
+++ code/branches/presentation3/src/orxonox/graphics/MeshLodInformation.h	(revision 7127)
@@ -43,5 +43,5 @@
             MeshLodInformation(BaseObject* creator);
             virtual ~MeshLodInformation();
-            
+
             float getLodLevel();
             std::string getMeshName();
@@ -49,5 +49,5 @@
             unsigned int getNumLevels(){ return this->numLevels_; }
             float getReductionRate(){ return this->reductionRate_; }
-            
+
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
Index: code/branches/presentation3/src/orxonox/graphics/Model.cc
===================================================================
--- code/branches/presentation3/src/orxonox/graphics/Model.cc	(revision 7125)
+++ code/branches/presentation3/src/orxonox/graphics/Model.cc	(revision 7127)
@@ -42,5 +42,5 @@
     CreateFactory(Model);
 
-    Model::Model(BaseObject* creator) : 
+    Model::Model(BaseObject* creator) :
         StaticEntity(creator), bCastShadows_(true), lodLevel_(5), bLodEnabled_(true), numLodLevels_(10), lodReductionRate_(.15)
     {
@@ -59,7 +59,7 @@
     {
         SUPER(Model, XMLPort, xmlelement, mode);
-        
+
         XMLPortParam(Model, "lodLevel", setLodLevel, getLodLevel, xmlelement, mode);
-        
+
         XMLPortParam(Model, "mesh", setMeshSource, getMeshSource, xmlelement, mode);
         XMLPortParam(Model, "shadow", setCastShadows, getCastShadows, xmlelement, mode).defaultValues(true);
@@ -81,5 +81,5 @@
         return scaleFactor;
     }
-    
+
     void Model::changedMesh()
     {
@@ -88,5 +88,5 @@
             if (this->mesh_.getEntity())
                 this->detachOgreObject(this->mesh_.getEntity());
-            
+
             this->mesh_.setMeshSource(this->getScene()->getSceneManager(), this->meshSrc_);
 
@@ -96,13 +96,13 @@
                 this->mesh_.getEntity()->setCastShadows(this->bCastShadows_);
                 this->mesh_.setVisible(this->isVisible());
-                
-                
+
+
                 //LOD
                 if( this->mesh_.getEntity()->getMesh()->getNumLodLevels()==1 )
                 {
                     Level* level = this->getLevel();
-                  
+
                     assert( level != 0 );
-                    
+
                     MeshLodInformation* lodInfo = level->getLodInfo(this->meshSrc_);
                     if( lodInfo )
@@ -122,7 +122,7 @@
                         float volume = this->mesh_.getEntity()->getBoundingBox().volume();
     //                     float scaleFactor = 1;
-                        
+
     //                     BaseObject* creatorPtr = this;
-    //                     
+    //
     //                     while(creatorPtr!=NULL&&orxonox_cast<WorldEntity*>(creatorPtr))
     //                     {
@@ -131,5 +131,5 @@
     //                     }
     //                     COUT(0) << "name: " << this->meshSrc_ << "scaleFactor: " << scaleFactor << ", volume: " << volume << endl;
-                        
+
                         COUT(4) << "Setting lodLevel for " << this->meshSrc_<< " with lodLevel_: " << this->lodLevel_ <<" and volume: "<< volume << ":" << std::endl;
 
@@ -144,5 +144,5 @@
     //                         float factor = scaleFactor*5/lodLevel_;
                             float factor = pow(volume, 2.0f / 3.0f) * 15.0f / lodLevel_;
-                            
+
                             COUT(4) << "LodLevel set with factor: " << factor << endl;
 
@@ -160,5 +160,5 @@
                                 distList.pop_back();
 
-                            
+
                             //Generiert LOD-Levels
                             this->mesh_.getEntity()->getMesh()->generateLodLevels(distList, Ogre::ProgressiveMesh::VRQ_PROPORTIONAL, this->lodReductionRate_);
@@ -171,5 +171,5 @@
                             else
                                 what = "<0";
-                            
+
                             COUT(4)<<"LodLevel not set because lodLevel("<<lodLevel_<<") was "<<what<<"." << endl;
                         }
Index: code/branches/presentation3/src/orxonox/graphics/Model.h
===================================================================
--- code/branches/presentation3/src/orxonox/graphics/Model.h	(revision 7125)
+++ code/branches/presentation3/src/orxonox/graphics/Model.h	(revision 7127)
@@ -61,9 +61,9 @@
             inline bool getCastShadows() const
                 { return this->bCastShadows_; }
-                
+
         protected:
             void changedMesh();
             void changedShadows();
-            
+
             //LoD
             inline void setLodLevel(float lodLevel)
@@ -76,5 +76,5 @@
             Mesh mesh_;
             bool bCastShadows_;
-            
+
             //LoD
             float lodLevel_;
@@ -82,5 +82,5 @@
             unsigned int numLodLevels_;
             float lodReductionRate_;
-            
+
     };
 }
Index: code/branches/presentation3/src/orxonox/infos/GametypeInfo.cc
===================================================================
--- code/branches/presentation3/src/orxonox/infos/GametypeInfo.cc	(revision 7125)
+++ code/branches/presentation3/src/orxonox/infos/GametypeInfo.cc	(revision 7127)
@@ -157,5 +157,5 @@
             it->staticmessage(this, message, colour);
     }
-    
+
      void GametypeInfo::dispatchFadingMessage(const std::string& message)
     {
Index: code/branches/presentation3/src/orxonox/interfaces/InterfaceCompilation.cc
===================================================================
--- code/branches/presentation3/src/orxonox/interfaces/InterfaceCompilation.cc	(revision 7125)
+++ code/branches/presentation3/src/orxonox/interfaces/InterfaceCompilation.cc	(revision 7127)
@@ -52,5 +52,5 @@
         RegisterRootObject(GametypeMessageListener);
     }
-    
+
     //----------------------------
     // PickupCarrier
@@ -59,8 +59,8 @@
     {
         RegisterRootObject(PickupCarrier);
-        
+
         this->setCarrierName("PickupCarrier");
     }
-    
+
     PickupCarrier::~PickupCarrier()
     {
@@ -85,5 +85,5 @@
         this->isForPlayer_ = true;
     }
-    
+
     //----------------------------
     // RadarListener
Index: code/branches/presentation3/src/orxonox/interfaces/PickupCarrier.h
===================================================================
--- code/branches/presentation3/src/orxonox/interfaces/PickupCarrier.h	(revision 7125)
+++ code/branches/presentation3/src/orxonox/interfaces/PickupCarrier.h	(revision 7127)
@@ -68,5 +68,5 @@
         friend class Pickupable;
         friend class PickupManager;
-        //! Friends. 
+        //! Friends.
         friend class Pickup;
         friend class HealthPickup;
@@ -170,5 +170,5 @@
             */
             virtual const Vector3& getCarrierPosition(void) = 0;
-            
+
             /**
             @brief Get the name of this PickupCarrier.
@@ -176,6 +176,6 @@
             */
             const std::string& getCarrierName(void) { return this->carrierName_; } // tolua_export
-            
-        protected:        
+
+        protected:
             /**
             @brief Get all direct children of this PickupSpawner.
@@ -198,5 +198,5 @@
             std::set<Pickupable*>& getPickups(void)
                 { return this->pickups_; }
-                
+
             /**
             @brief Set the name of this PickupCarrier.
@@ -206,9 +206,9 @@
             void setCarrierName(const std::string& name)
                 { this->carrierName_ = name; }
-        
+
         private:
             std::set<Pickupable*> pickups_; //!< The list of Pickupables carried by this PickupCarrier.
             std::string carrierName_; //!< The name of the PickupCarrier, as displayed in the PickupInventory.
-            
+
             /**
             @brief Get the number of carrier children this PickupCarrier has.
@@ -222,5 +222,5 @@
                     return size;
                 }
-            
+
             /**
             @brief Get the index-th child of this PickupCarrier.
@@ -237,5 +237,5 @@
                     return carrier;
                 }
-            
+
             /**
             @brief Get the number of Pickupables this PickupCarrier carries.
@@ -244,5 +244,5 @@
             unsigned int getNumPickups(void)
                 { return this->pickups_.size(); }
-            
+
             /**
             @brief Get the index-th Pickupable of this PickupCarrier.
@@ -259,5 +259,5 @@
                     return *it;
                 }
-            
+
     };
 }
Index: code/branches/presentation3/src/orxonox/interfaces/Pickupable.cc
===================================================================
--- code/branches/presentation3/src/orxonox/interfaces/Pickupable.cc	(revision 7125)
+++ code/branches/presentation3/src/orxonox/interfaces/Pickupable.cc	(revision 7127)
@@ -46,5 +46,5 @@
 namespace orxonox
 {
-    
+
     /**
     @brief
@@ -52,15 +52,15 @@
     */
     Pickupable::Pickupable() : pickupIdentifier_(NULL), used_(false), pickedUp_(false)
-    {        
+    {
         RegisterRootObject(Pickupable);
-        
+
         this->carrier_ = NULL;
-        
+
         this->pickupIdentifier_ = new PickupIdentifier(this);
     }
-    
-    /**
-    @brief
-        Destructor. 
+
+    /**
+    @brief
+        Destructor.
     */
     Pickupable::~Pickupable()
@@ -68,5 +68,5 @@
         if(this->isUsed())
             this->setUsed(false);
-        
+
         if(this->isPickedUp() && this->getCarrier() != NULL)
         {
@@ -74,9 +74,9 @@
             this->setCarrier(NULL);
         }
-        
+
         if(this->pickupIdentifier_ != NULL)
             this->pickupIdentifier_->destroy();
     }
-    
+
     /**
     @brief
@@ -91,7 +91,7 @@
         if(this->used_ == used)
             return false;
-        
+
         COUT(4) << "Pickupable (&" << this << ") set to used " << used << "." << std::endl;
-        
+
         this->used_ = used;
         this->changedUsed();
@@ -100,5 +100,5 @@
         return true;
     }
-    
+
     /**
     @brief
@@ -115,5 +115,5 @@
         return this->isTarget(carrier->getIdentifier());
     }
-    
+
     /**
     @brief
@@ -134,5 +134,5 @@
         return false;
     }
-        
+
     /**
     @brief
@@ -147,5 +147,5 @@
         return this->addTarget(target->getIdentifier());
     }
-    
+
     /**
     @brief
@@ -160,12 +160,12 @@
         if(this->isTarget(target)) //!< If the input target is already present in the list of targets.
             return false;
-        
+
         COUT(4) << "Target " << target->getName() << " added to Pickupable (&" << this << ")." << std::endl;
         this->targets_.push_back(target);
         return true;
     }
-    
-    /**
-    @brief  
+
+    /**
+    @brief
         Sets the Pickupable to picked up.
         This method will be called by the PickupCarrier picking the Pickupable up.
@@ -179,5 +179,5 @@
         if(this->isPickedUp()) //!< If the Pickupable is already picked up.
             return false;
-        
+
         COUT(4) << "Pickupable (&" << this << ") got picked up by a PickupCarrier (&" << carrier << ")." << std::endl;
         this->setCarrier(carrier);
@@ -185,5 +185,5 @@
         return true;
     }
-    
+
     /**
     @brief
@@ -198,7 +198,7 @@
         if(this->pickedUp_ == pickedUp)
             return false;
-        
+
         COUT(4) << "Pickupable (&" << this << ") set to pickedUp " << pickedUp << "." << std::endl;
-        
+
         this->pickedUp_ = pickedUp;
         this->changedPickedUp();
@@ -206,5 +206,5 @@
         return true;
     }
-        
+
     /**
     @brief
@@ -217,7 +217,7 @@
         if(this->carrier_ == carrier)
             return false;
-        
+
         COUT(4) << "Pickupable (&" << this << ") changed Carrier (& " << carrier << ")." << std::endl;
-        
+
         this->carrier_ = carrier;
         this->changedCarrier();
@@ -226,7 +226,7 @@
         return true;
     }
-    
-    /**
-    @brief 
+
+    /**
+    @brief
         Sets the Pickupable to not picked up or dropped.
         This method will be called by the PickupCarrier dropping the Pickupable.
@@ -238,21 +238,21 @@
         if(!this->isPickedUp()) //!< If the Pickupable is not picked up.
             return false;
-        
+
         COUT(4) << "Pickupable (&" << this << ") got dropped up by a PickupCarrier (&" << this->getCarrier() << ")." << std::endl;
         this->setUsed(false);
         this->setPickedUp(false);
-        
+
         bool created = this->createSpawner();
-        
+
         this->setCarrier(NULL);
-        
+
         if(!created)
         {
             this->destroy();
         }
-        
-        return true;
-    }
-    
+
+        return true;
+    }
+
     /**
     @brief
@@ -265,11 +265,11 @@
         OrxonoxClass* item = NULL;
         this->clone(item);
-        
+
         Pickupable* pickup = dynamic_cast<Pickupable*>(item);
-        
+
         COUT(4) << "Pickupable (&" << this << ") cloned. Clone is new Pickupable (&" << pickup << ")." << std::endl;
         return pickup;
     }
-    
+
     /**
     @brief
@@ -299,4 +299,4 @@
         return carrier->pickup(this);
     }
-    
+
 }
Index: code/branches/presentation3/src/orxonox/interfaces/Pickupable.h
===================================================================
--- code/branches/presentation3/src/orxonox/interfaces/Pickupable.h	(revision 7125)
+++ code/branches/presentation3/src/orxonox/interfaces/Pickupable.h	(revision 7127)
@@ -45,5 +45,5 @@
 namespace orxonox // tolua_export
 { // tolua_export
-    
+
     /**
     @brief
@@ -57,8 +57,8 @@
         protected:
             Pickupable(); //!< Default constructor.
-        
+
         public:
             virtual ~Pickupable(); //!< Default destructor.
-            
+
             /**
             @brief Get whether the pickup is currently in use or not.
@@ -71,5 +71,5 @@
             */
             virtual void changedUsed(void) {}
-            
+
             /**
             @brief Get the carrier of the pickup.
@@ -83,5 +83,5 @@
             */
             virtual void changedCarrier(void) {}
-            
+
             /**
             @brief Returns whether the Pickupable is currently picked up.
@@ -94,16 +94,16 @@
             */
             virtual void changedPickedUp(void) {}
-            
+
             bool pickedUp(PickupCarrier* carrier); //!< Sets the Pickupable to picked up.
             bool dropped(void); //!< Sets the Pickupable to not picked up or dropped.
-            
+
             virtual bool isTarget(PickupCarrier* carrier) const; //!< Get whether the given PickupCarrier is a target of this pickup.
             bool isTarget(const Identifier* identifier) const; //!< Get whether a given class, represented by the input Identifier, is a target of this Pickupable.
             bool addTarget(PickupCarrier* target); //!< Add a PickupCarrier as target of this pickup.
             bool addTarget(Identifier* identifier); //!< Add a class, representetd by the input Identifier, as target of this pickup.
-            
+
             Pickupable* clone(void); //!< Creates a duplicate of the Pickupable.
             virtual void clone(OrxonoxClass*& item); //!< Creates a duplicate of the input OrxonoxClass.
-            
+
             /**
             @brief Get the PickupIdentifier of this Pickupable.
@@ -112,9 +112,9 @@
             virtual const PickupIdentifier* getPickupIdentifier(void)
                 { return this->pickupIdentifier_; }
-                
+
             bool setUsed(bool used); //!< Sets the Pickupable to used or unused, depending on the input.
             bool setPickedUp(bool pickedUp); //!< Helper method to set the Pickupable to either picked up or not picked up.
             bool setCarrier(PickupCarrier* carrier, bool tell = false); //!< Sets the carrier of the pickup.
-            
+
         protected:
             /**
@@ -122,5 +122,5 @@
             */
             void initializeIdentifier(void) {}
-            
+
             /**
             @brief Facilitates the creation of a PickupSpawner upon dropping of the Pickupable.
@@ -131,12 +131,12 @@
             */
             virtual bool createSpawner(void) = 0;
-            
+
             PickupIdentifier* pickupIdentifier_; //!< The PickupIdentifier of this Pickupable.
-            
+
         private:
-            
+
             bool used_; //!< Whether the pickup is currently in use or not.
             bool pickedUp_; //!< Whether the pickup is currently picked up or not.
-            
+
             PickupCarrier* carrier_; //!< The carrier of the pickup.
             std::list<Identifier*> targets_; //!< The possible targets of this pickup.
@@ -147,5 +147,5 @@
 
     };  // tolua_export
-    
+
     SUPER_FUNCTION(10, Pickupable, changedUsed, false);
     SUPER_FUNCTION(12, Pickupable, changedCarrier, false);
Index: code/branches/presentation3/src/orxonox/interfaces/RadarViewable.cc
===================================================================
--- code/branches/presentation3/src/orxonox/interfaces/RadarViewable.cc	(revision 7125)
+++ code/branches/presentation3/src/orxonox/interfaces/RadarViewable.cc	(revision 7127)
@@ -65,5 +65,5 @@
     RadarViewable::~RadarViewable()
     {
-        
+
         if( this->bInitialized_ )
         {
@@ -109,5 +109,5 @@
         }
     }
-    
+
     void RadarViewable::settingsChanged()
     {
Index: code/branches/presentation3/src/orxonox/interfaces/RadarViewable.h
===================================================================
--- code/branches/presentation3/src/orxonox/interfaces/RadarViewable.h	(revision 7125)
+++ code/branches/presentation3/src/orxonox/interfaces/RadarViewable.h	(revision 7127)
@@ -88,5 +88,5 @@
 
         inline void setRadarVisibility(bool b)
-            { 
+            {
                 if(b!=this->bVisibility_)
                 {
Index: code/branches/presentation3/src/orxonox/pickup/PickupIdentifier.cc
===================================================================
--- code/branches/presentation3/src/orxonox/pickup/PickupIdentifier.cc	(revision 7125)
+++ code/branches/presentation3/src/orxonox/pickup/PickupIdentifier.cc	(revision 7127)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    
+
     /**
     @brief
@@ -47,16 +47,16 @@
     {
         RegisterRootObject(PickupIdentifier);
-        
+
         if(pickup == NULL)
             COUT(1) << "Error, PickupIdentifier was created without a valid Pickupable." << std::endl;
-        
+
         this->pickup_ = pickup;
     }
-    
+
     PickupIdentifier::~PickupIdentifier()
     {
 
     }
-    
+
     /**
     @brief
@@ -74,5 +74,5 @@
             COUT(1) << "Error in PickupIdentifier::compare: Input Identifier is NULL." << std::endl;
         }
-        
+
         if(identifier->pickup_ == NULL && this->pickup_ == NULL)
         {
@@ -80,5 +80,5 @@
             COUT(1) << "Error in PickupIdentifier::compare: Pickup stored by Identifier is NULL." << std::endl;
         }
-        
+
         if(identifier->pickup_ == NULL)
         {
@@ -86,5 +86,5 @@
             COUT(1) << "Error in PickupIdentifier::compare: Pickup stored by Identifier is NULL." << std::endl;
         }
-        
+
         if(this->pickup_ == NULL)
         {
@@ -92,9 +92,9 @@
             COUT(1) << "Error in PickupIdentifier::compare: Pickup stored by Identifier is NULL." << std::endl;
         }
-        
+
         //! If the classIdentifiers are not the same (meaning the PickupIdentifiers identify different classes), the obviously the two Pickupables identified by the PickupIdentifiers cannot be the same. An ordering is established through the alphabetical ordering of the respective classnames.
         if(!identifier->pickup_->getIdentifier()->isExactlyA(this->pickup_->getIdentifier()))
             return this->pickup_->getIdentifier()->getName().compare(identifier->pickup_->getIdentifier()->getName());
-        
+
         //! If the class is the same for both PickupIdentifiers we go on to check the parameters of the class.
         //! If the two have a different number of parameters then obviusly something is very wrong.
@@ -104,5 +104,5 @@
             return this->parameters_.size()-identifier->parameters_.size();
         }
-        
+
         //! We iterate through all parameters and compar their values (which are strings). The first parameter is the most significant. The ordering is once again established by the alphabetical comparison of the two value strings.
         for(std::map<std::string, std::string>::const_iterator it = this->parameters_.begin(); it != this->parameters_.end(); it++)
@@ -117,8 +117,8 @@
                 return it->second.compare(identifier->parameters_.find(it->first)->second);
         }
-            
+
         return 0;
     }
-    
+
     /**
     @brief
@@ -134,5 +134,5 @@
     {
         COUT(4) << "PickupIdentifier " << name << ", " << value << std::endl;
-        
+
         if(!(this->parameters_.find(name) == this->parameters_.end()))
         {
@@ -140,9 +140,9 @@
             return false;
         }
-        
+
         this->parameters_[name] = value;
-        
+
         return true;
     }
-    
+
 }
Index: code/branches/presentation3/src/orxonox/pickup/PickupIdentifier.h
===================================================================
--- code/branches/presentation3/src/orxonox/pickup/PickupIdentifier.h	(revision 7125)
+++ code/branches/presentation3/src/orxonox/pickup/PickupIdentifier.h	(revision 7127)
@@ -41,9 +41,9 @@
 #include "core/Identifier.h"
 
-#include "core/OrxonoxClass.h" 
+#include "core/OrxonoxClass.h"
 
 namespace orxonox
 {
-    
+
     /**
     @brief
@@ -57,19 +57,19 @@
     class _OrxonoxExport PickupIdentifier : virtual public OrxonoxClass
     {
-        
+
         public:
             PickupIdentifier(Pickupable* pickup); //!< Constructor.
             ~PickupIdentifier(); //!< Destructor.
-            
+
             virtual int compare(const PickupIdentifier* identifier) const; //!< Compares two PickupIdentifiers and returns 0 if a == b, <0 if a < b and >0 if a > b for a.compare(b).
-            
+
             bool addParameter(std::string & name, std::string & value); //!< Add a parameter to the PickupIdentifier.
-            
+
         private:
             Pickupable* pickup_; //!< The Pickupable the PickupIdentififer is for.
             std::map<std::string, std::string> parameters_; //!< The parameters identifying the type of the pickup beyond the class.
-            
+
     };
-    
+
     /**
     @brief
@@ -81,5 +81,5 @@
             { return lhs->compare(rhs) < 0; }
     };
-    
+
 }
 
Index: code/branches/presentation3/src/orxonox/worldentities/Drone.h
===================================================================
--- code/branches/presentation3/src/orxonox/worldentities/Drone.h	(revision 7125)
+++ code/branches/presentation3/src/orxonox/worldentities/Drone.h	(revision 7127)
@@ -53,5 +53,5 @@
             virtual void tick(float dt); //!< Defines which actions the Drone has to take in each tick.
 
-            
+
             virtual void moveFrontBack(const Vector2& value);
             virtual void moveRightLeft(const Vector2& value);
@@ -61,5 +61,5 @@
             virtual void rotatePitch(const Vector2& value);
             virtual void rotateRoll(const Vector2& value);
-            
+
             /**
             @brief Moves the Drone in the Front/Back-direction by the specifed amount.
@@ -80,5 +80,5 @@
             inline void moveUpDown(float value)
             { this->moveUpDown(Vector2(value, 0)); }
-            
+
             /**
             @brief Rotates the Drone around the y-axis by the specifed amount.
@@ -99,5 +99,5 @@
             inline void rotateRoll(float value)
             { this->rotateRoll(Vector2(value, 0)); }
-            
+
             /**
             @brief Sets the primary thrust to the input amount.
@@ -105,9 +105,9 @@
             */
             inline void setPrimaryThrust( float thrust )
-                { this->primaryThrust_=thrust; }      
+                { this->primaryThrust_=thrust; }
             inline void setAuxilaryThrust( float thrust )
-                { this->auxilaryThrust_=thrust; }      
+                { this->auxilaryThrust_=thrust; }
             inline void setRotationThrust( float thrust )
-                { this->rotationThrust_=thrust; }      
+                { this->rotationThrust_=thrust; }
             inline void setMaxDistanceToOwner( float distance)
                 { this->maxDistanceToOwner_=distance; }
@@ -117,5 +117,5 @@
                 { this->maxShootingRange_=distance; }
 
-            
+
             /**
             @brief Gets the primary thrust to the input amount.
@@ -134,11 +134,11 @@
             inline float getMaxShootingRange()
                 { return this->maxShootingRange_; }
-            
+
         private:
             DroneController *myController_; //!< The controller of the Drone.
-            
+
             btVector3 localLinearAcceleration_; //!< The linear acceleration that is used to move the Drone the next tick.
             btVector3 localAngularAcceleration_; //!< The linear angular acceleration that is used to move the Drone the next tick.
-            float primaryThrust_; //!< The amount of primary thrust. This is just used, when moving forward. 
+            float primaryThrust_; //!< The amount of primary thrust. This is just used, when moving forward.
             float auxilaryThrust_; //!< The amount of auxilary thrust. Used for all other movements (except for rotations).
             float rotationThrust_; //!< The amount of rotation thrust. Used for rotations only.
Index: code/branches/presentation3/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- code/branches/presentation3/src/orxonox/worldentities/WorldEntity.cc	(revision 7125)
+++ code/branches/presentation3/src/orxonox/worldentities/WorldEntity.cc	(revision 7127)
@@ -81,5 +81,5 @@
         this->node_->setPosition(Vector3::ZERO);
         this->node_->setOrientation(Quaternion::IDENTITY);
-        
+
         // Activity and visibility memory.
         this->bActiveMem_ = true;
@@ -205,5 +205,5 @@
         registerVariable(this->parentID_,       VariableDirection::ToClient, new NetworkCallback<WorldEntity>(this, &WorldEntity::networkcallback_parentChanged));
     }
-    
+
     /**
     @brief
@@ -213,5 +213,5 @@
     {
         SUPER(WorldEntity, changedActivity);
-        
+
         for (std::set<WorldEntity*>::const_iterator it = this->getAttachedObjects().begin(); it != this->getAttachedObjects().end(); it++)
         {
@@ -227,5 +227,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -235,5 +235,5 @@
     {
         SUPER(WorldEntity, changedVisibility);
-        
+
         for (std::set<WorldEntity*>::const_iterator it = this->getAttachedObjects().begin(); it != this->getAttachedObjects().end(); it++)
         {
Index: code/branches/presentation3/src/orxonox/worldentities/WorldEntity.h
===================================================================
--- code/branches/presentation3/src/orxonox/worldentities/WorldEntity.h	(revision 7125)
+++ code/branches/presentation3/src/orxonox/worldentities/WorldEntity.h	(revision 7127)
@@ -105,5 +105,5 @@
             static const Vector3 DOWN;
             static const Vector3 UP;
-            
+
             virtual void changedActivity(void);
             virtual void changedVisibility(void);
@@ -234,5 +234,5 @@
             std::set<WorldEntity*> children_;
             bool bDeleteWithParent_;
-            
+
             bool bActiveMem_;
             bool bVisibleMem_;
